ccccc  Comparison of R_g of EPS09 central values and uncertainty band
ccccc  with the symmetric and asymmetric results from the EPS09 MC replicas.
ccccc  Compile together with EPS09.f and EPS09_MC.f

      implicit none
      
      double precision ruv,rdv,ru,rd,rs,rc,rb,rg,q,q2,x
      double precision rgp,rgm,eps09g,epg,emg,rgs,rga
      double precision rep2gs,rep2ga,repgs,repga
      double precision eps09pg,eps09mg,xming,xplug,xmax,xmin
      integer ipset,ip,irep,ix,nxx,ia, iorder

ccccc ia     : Atomic number
ccccc iorder : 1=LO, 2=NLO

      iorder=2
      ia=208

ccccc Choose Q^2

      q2=1.69d0
      q=dsqrt(q2)

ccccc Store the final results in c-g.dat

      OPEN (40,file='c-g.dat',status='unknown')


      do 10 ix=0, 50, 1
      
         if(ix.le.25) then
c     log spacing for points below 0.1
            xmin=1d-6
            xmax = 1d-1
            nxx=25
            x=xmin*(xmax/xmin)**(dfloat(ix)/(nxx))
         else
            xmin=1d-1
            xmax=1d0
            x=xmin + (xmax - xmin)*(dfloat(ix-25)/(nxx))
         endif      
      
ccccc     EPS09 central value

         epg=0.d0
         emg=0.d0    
         

         Call EPS09(iorder,1,ia,x,Q,ruv,rdv,ru,rd,rs,rc,rb,rg)


         eps09g=rg
         
ccccc     EPS09 uncertainty band

         do 20 ip=1, 15, 1
          ipset=2*ip
          Call EPS09(iorder,ipset,ia,x,Q,ruv,rdv,ru,rd,
     1     rs,rc,rb,rgp)
     
          Call EPS09(iorder,ipset+1,ia,x,Q,ruv,rdv,ru,rd,
     1     rs,rc,rb,rgm)
     
            xplug=max(rgp-eps09g,rgm-eps09g,0.d0)
            xming=max(eps09g-rgp,eps09g-rgm,0.d0)
            epg=epg+xplug**2.d0
            emg=emg+xming**2.d0            
            
            
20       continue

     
         eps09pg=dsqrt(epg)
         eps09mg=dsqrt(emg)
         
ccccc     EPS09 MC symmetric replicas' central value

         rep2gs=0.d0
         repgs=0.d0
         
   
         do 30 irep=1, 1000, 1
            Call EPS09_MC(iorder,irep,ia,0,x,Q,ruv,rdv,ru,
     1       rd,rs,rc,rb,rgs)
     
        
            repgs=repgs+rgs
            

30       continue
       
       
         repgs=repgs/1000.d0

ccccc     EPS09 MC symmetric replicas' uncertainty band

         
         do 40 irep=1, 1000, 1
         
            Call EPS09_MC(iorder,irep,ia,0,x,Q,ruv,rdv,ru,
     1       rd,rs,rc,rb,rgs)
     
      
            rep2gs=rep2gs+(rgs -repgs)**2.d0
            
            
40       continue

         rep2gs=dsqrt(rep2gs/999.d0)
         

ccccc     EPS09 MC asymmetric replicas' central value

         rep2ga=0.d0
         repga=0.d0          

         do 50 irep=1, 1000, 1
         
            Call EPS09_MC(iorder,irep,ia,1,x,Q,ruv,rdv,ru,
     1      rd,rs,rc,rb,rga)
     

            repga=repga+rga   
            
50           continue         

       
         repga=repga/1000.d0      


ccccc     EPS09 MC symmetric replicas' uncertainty band

         do 60 irep=1, 1000, 1
      
     
            Call EPS09_MC(iorder,irep,ia,1,x,Q,ruv,rdv,ru,
     1      rd,rs,rc,rb,rga)
      
            rep2ga=rep2ga+(rga -repga)**2.d0
            
60       continue

     
         rep2ga=dsqrt(rep2ga/999.d0)

         
ccccc write the final results: x, EPS09 central value, 
ccccc EPS09 central value, EPS09 upperband, EPS09 lower band,
ccccc SYMME central value, SYMME upperband, SYMME lower band,
ccccc ASYMM central value, ASYMM upperband, ASYMM lower band

         write(40,*) x, eps09g, eps09g+eps09pg, eps09g-eps09mg, 
     1    repgs, repgs+rep2gs,repgs-rep2gs,
     1    repga, repga+rep2ga,repga-rep2ga   
     
10    continue
      
         

      end
